"use strict";
const common_vendor = require("../../common/vendor.js");
if (!Array) {
  const _easycom_up_overlay2 = common_vendor.resolveComponent("up-overlay");
  _easycom_up_overlay2();
}
const _easycom_up_overlay = () => "../../node-modules/uview-plus/components/u-overlay/u-overlay.js";
if (!Math) {
  (login + _easycom_up_overlay)();
}
const login = () => "../../components/login.js";
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "index",
  setup(__props) {
    common_vendor.inject("$api");
    common_vendor.inject("$config");
    const config = common_vendor.ref({ logo: [], file: [] });
    common_vendor.ref([]);
    common_vendor.ref(0);
    const show = common_vendor.ref(false);
    const user = common_vendor.computed(() => {
      return common_vendor.index.getStorageSync("user");
    });
    common_vendor.onShow(async () => {
      await searchConfig();
      await searchOther();
      await search();
      if (!user.value)
        show.value = true;
    });
    const searchConfig = async () => {
      config.value = common_vendor.index.getStorageSync("config");
    };
    const searchOther = async () => {
    };
    const search = async () => {
    };
    const showChange = () => {
      show.value = false;
    };
    return (_ctx, _cache) => {
      return {
        a: common_vendor.o(showChange),
        b: common_vendor.p({
          show: show.value
        })
      };
    };
  }
});
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-5cb065a7"], ["__file", "D:/project/学吧/learn_applet/pagesMy/course/index.vue"]]);
wx.createPage(MiniProgramPage);
